AMULECMD(1)

NOM
imulecmd - programme de contr�le d'iMule en mode texte

SYNOPSIS
imulecmd [-h <h�te>] [-p <port>] [-P <motdepasse>] [-f <chemin>] [-q] [-v] [-w] [-c <commande>]

imulecmd [-f <chemin>] --create-config-from=<chemin>

imulecmd [--help] [--version]

DESCRIPTION
imulecmd est un client en mode texte pour contr�ler iMule. Une aide utile peut �tre obtenue au lancement du programme.

-h, --host=<h�te>
    H�te o� iMule tourne (d�faut: localhost). <h�te> peut �tre une adresse IP ou un nom DNS.

-p, --port=<port>
    Port d'iMule pour les Connexions Externes, tel que d�fini dans Preferences->Contr�les � Distance (d�faut: 4712).

-P, --password=<motdepasse>
    Mot de passe pour les Connexions Externes.

-f, --config-file=<chemin>
    Utiliser le fichier de configuration d�sign�. Le fichier de configuration par d�faut est ~/.iMule/remote.conf.

-q, --quiet
    N'afficher aucune sortie sur stdout. Ceci est une option compl�tement inutile avec imulecmd.

-v, --verbose
    Mode bavard - affiche aussi les messages de debugage.

-w, --write-config
    Ecrire les options de la ligne de commande dans le fichier de configuration et quitter.

-c, --command=<commande>
    Executer la <commande> comme si elle avait �t� entr�e au prompt d'amumecmd et quitter (non disponible dans la version graphique).

--create-config-from=<chemin>
    Cr�er un fichier de configuration bas� sur <chemin>, qui doit pointer sur un fichier de configration d'iMule valide, et quitter ensuite.

--help
    Afficher l'aide d'utilisation et quitter.

--version
    Afficher les informations sur la version courante et quitter.

NOTE
Pour toutes les options prenant en param�tre un <chemin>, si le chemin ne contient pas de r�pertoire (i.e. juste un nom de fichier), alors il sera consid�r� comme �tant dans le r�pertoire de configuration d'iMule, ~/.iMule.

FICHIERS
~/.iMule/remote.conf

EXEMPLE
Typiquement imulecmd sera lanc� la premi�re fois de la fa�on suivante:

imulecmd -h hostname -p ECport -P ECpassword -w

ou

imulecmd --create-config-from=/home/username/.iMule/imule.conf

Cela sauvegardera les options dans $HOME/.iMule/remote.conf, et les fois suivantes, vous n'aurez � taper que:

imulecmd

Bien s�r, rien ne vous oblige � suivre cet exemple.

SIGNALEMENT DES BUGS
Reportez les bugs sur notre forum (http://forum.imule.org/), ou dans notre bugtracker (http://bugs.imule.org/). N'utilisez ni un e-mail, ni notre liste de diffusion ni ne reportez directement un bug � un membre de notre equipe.

COPYRIGHT
iMule et tous les utilitaires associ�s sont distribu�s sous licence GNU General Public License.

VOIR AUSSI
imule(1), imuleweb(1)

TRADUCTION
ThePolish, 2005